Skip to main content
GET
Get data export

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

data_export_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

A unique ID assigned to this export.

created_at
string<date-time>
required

UTC date and time when this export was started.

created_by_entity_user_id
string<uuid> | null
required

The ID of the entity user who started this export, or null if it was started with a partner token.

entity_id
string<uuid>
required

The ID of the entity that owns this export.

error
string | null
required

A human-readable description of error_code.

error_code
string | null
required

Why this export failed, or null if it has not failed.

expires_at
string<date-time> | null
required

UTC date and time after which the export file is deleted.

filters
object
required

The list query parameters the export was started with, as sent.

finished_at
string<date-time> | null
required

UTC date and time when this export succeeded or failed.

object_type
string
required

The type of the exported objects: payable, receivable or transaction. More types may be added.

row_count
integer | null
required

The number of data rows in the export file, once it has succeeded.

started_at
string<date-time> | null
required

UTC date and time when the export file started building.

status
enum<string>
required

The current status of this export.

Available options:
pending,
processing,
succeeded,
failed,
expired